-
AI-powered Extensions
-
Data Grid
-
Tree List
-
Chat
-
HTML Editor
-
Form
-
-
Data Grids / Data Management
-
Data Grid
- Overview
-
Data Binding
-
Filtering
- Sorting
-
Editing
-
Grouping
-
Selection
- Focused Row
- Paging
-
Scrolling
-
Columns
- AI Assistant
-
Master-Detail
-
Data Summaries
-
Drag & Drop
-
Export to PDF
-
Export to Excel
- Appearance
-
Customization
- State Persistence
-
Adaptability
-
Keyboard Navigation
- Right-To-Left Support
-
Tree List
- Overview
-
Data Binding
-
Filtering
- Sorting
-
Editing
-
Selection
- Focused Row
- Paging
-
Columns
- Drag & Drop
- State Persistence
- Adaptability
-
Keyboard Navigation
-
Card View
-
Pivot Grid
- Overview
-
Data Binding
-
Field Management
-
Data Summaries
- Drill Down
- Filtering
-
Scrolling
-
Export to Excel
- Chart Integration
- Customization
- State Persistence
-
Filter Builder
-
-
Data Visualization
-
Charts
- Overview
-
Data Binding
-
Common Concepts
-
Axis
-
Aggregation
-
Tooltips
-
Selection
-
Customization
-
Zooming
-
Export
-
-
Area Charts
-
Bar Charts
- Bullet Charts
-
Doughnut Charts
-
Financial Charts
-
Funnel and Pyramid Charts
-
Line Charts
- Pareto Chart
-
Pie Charts
-
Point Charts
-
Polar and Radar Charts
-
Range Charts
- Sankey Chart
-
Sparkline Charts
-
Tree Map
-
Gauges
- Overview
-
Runtime update
-
Bar Gauge
-
Circular Gauge
-
Linear Gauge
-
Diagram
- Overview
-
Data Binding
-
Featured Shapes
-
Custom Shapes
-
Document Capabilities
-
User Interaction
- UI Customization
- Adaptability
-
-
Scheduling / Planning
-
Scheduler
- Overview
-
Data Binding
-
Views
-
Appointments
-
Timetable
- Editing
-
Grouping
- Virtual Scrolling
- Drag & Drop
-
Customization
- Adaptability
-
Gantt
- Overview
- Data Binding
-
Filtering
- Sorting
- Strip Lines
- Export to PDF
- Validation
-
Customization
-
-
Messaging
-
WYSIWYG Editor
-
Forms
-
Data Editors
- Overview
-
Common Concepts
-
Calendar
- Check Box
- Color Box
-
Date Box
-
Date Range Box
-
Number Box
- Radio Group
-
Range Selector
- Range Slider
- Slider
- Switch
- Text Area
- Text Box
-
Drop-Downs
- Autocomplete
-
Drop Down Box
-
Select Box
-
Tag Box
-
Lookup
-
Buttons
-
File Upload / File Management
-
File Manager
- Overview
-
File System Types
-
Customization
-
File Uploader
-
-
Popup and Notifications
-
Navigation
- Overview
- Accordion
-
Action Sheet
-
Context Menu
-
Menu
- Multi View
-
Drawer
-
Tab Panel
-
Tabs
-
Toolbar
-
Stepper
- Pagination
-
List
-
Tree View
- Right-to-Left Support
-
Layout
-
Interactive Wrappers
-
Sortable
- Resizable
-
-
Progress Indicators
-
Maps
- Overview
-
Map
-
Vector Map
-
Data Binding
- Multiple Layers
-
Markers
- Legend
-
Zooming and Panning
-
Customization
-
-
Localization
Related Demos:
Your search did not match any results.
JavaScript/jQuery Charts - Range Bar
This demo illustrates the range bar series type.
You can use range bars to display value ranges that correspond to specified arguments. Each point in a range bar series has one argument and two values. The argumentField supplies arguments while the rangeValue1Field and rangeValue2Field supply bar start and end point values.
Backend API
$(() => {
$('#chart').dxChart({
palette: 'violet',
title: 'Crude Oil Prices in 2024',
dataSource,
commonSeriesSettings: {
argumentField: 'date',
type: 'rangeBar',
minBarSize: 2,
},
series: [
{
rangeValue1Field: 'aVal1',
rangeValue2Field: 'aVal2',
name: 'ANS West Coast',
}, {
rangeValue1Field: 'tVal1',
rangeValue2Field: 'tVal2',
name: 'West Texas Intermediate',
},
],
valueAxis: {
title: {
text: '$ per barrel',
},
},
tooltip: {
enabled: true,
},
argumentAxis: {
label: {
format: 'month',
},
},
export: {
enabled: true,
},
legend: {
verticalAlignment: 'bottom',
horizontalAlignment: 'center',
},
});
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script>
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/25.2.8/css/dx.light.css" />
<script src="js/dx.all.js?v=25.2.8"></script>
<script src="data.js"></script>
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="index.js"></script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="chart"></div>
</div>
</body>
</html>
#chart {
height: 440px;
}
const dataSource = [{
date: new Date(2024, 0, 1),
aVal1: 72,
aVal2: 78,
tVal1: 70,
tVal2: 74,
}, {
date: new Date(2024, 1, 1),
aVal1: 74,
aVal2: 80,
tVal1: 73,
tVal2: 77,
}, {
date: new Date(2024, 2, 1),
aVal1: 78,
aVal2: 84,
tVal1: 78,
tVal2: 81,
}, {
date: new Date(2024, 3, 1),
aVal1: 82,
aVal2: 90,
tVal1: 82,
tVal2: 85,
}, {
date: new Date(2024, 4, 1),
aVal1: 77,
aVal2: 84,
tVal1: 77,
tVal2: 80,
}, {
date: new Date(2024, 5, 1),
aVal1: 76,
aVal2: 83,
tVal1: 78,
tVal2: 80,
}, {
date: new Date(2024, 6, 1),
aVal1: 78,
aVal2: 86,
tVal1: 80,
tVal2: 82,
}, {
date: new Date(2024, 7, 1),
aVal1: 73,
aVal2: 81,
tVal1: 74,
tVal2: 77,
}, {
date: new Date(2024, 8, 1),
aVal1: 67,
aVal2: 74,
tVal1: 68,
tVal2: 70,
}, {
date: new Date(2024, 9, 1),
aVal1: 69,
aVal2: 76,
tVal1: 70,
tVal2: 72,
}, {
date: new Date(2024, 10, 1),
aVal1: 67,
aVal2: 73,
tVal1: 68,
tVal2: 70,
}, {
date: new Date(2024, 11, 1),
aVal1: 68,
aVal2: 74,
tVal1: 69,
tVal2: 71,
}];
To create multiple range bar series, use the series array to declare each series and the commonSeriesSettings object to specify the common series type. In this object, you can implement parameters specific to the range bar series type. For example, this demo specifies a minimum bar size for all series.

Backend API
<dx-chart
id="chart"
palette="violet"
title="Crude Oil Prices in 2024"
[dataSource]="oilPrices"
>
<dxo-chart-common-series-settings
argumentField="date"
type="rangeBar"
[minBarSize]="2"
></dxo-chart-common-series-settings>
<dxi-chart-value-axis>
<dxo-chart-title text="$ per barrel"></dxo-chart-title>
</dxi-chart-value-axis>
<dxo-chart-argument-axis>
<dxo-chart-label format="month"></dxo-chart-label>
</dxo-chart-argument-axis>
<dxo-chart-export [enabled]="true"></dxo-chart-export>
<dxo-chart-legend
verticalAlignment="bottom"
horizontalAlignment="center"
></dxo-chart-legend>
<dxi-chart-series
rangeValue1Field="aVal1"
rangeValue2Field="aVal2"
name="ANS West Coast"
></dxi-chart-series>
<dxi-chart-series
rangeValue1Field="tVal1"
rangeValue2Field="tVal2"
name="West Texas Intermediate"
></dxi-chart-series>
<dxo-chart-tooltip [enabled]="true"></dxo-chart-tooltip>
</dx-chart>
import { bootstrapApplication } from '@angular/platform-browser';
import { Component, enableProdMode, provideZoneChangeDetection } from '@angular/core';
import { DxChartModule } from 'devextreme-angular';
import { OilPrice, Service } from './app.service';
if (!/localhost/.test(document.location.host)) {
enableProdMode();
}
let modulePrefix = '';
// @ts-ignore
if (window && window.config?.packageConfigPaths) {
modulePrefix = '/app';
}
@Component({
selector: 'demo-app',
templateUrl: `app/app.component.html`,
styleUrls: [`app/app.component.css`],
providers: [Service],
imports: [
DxChartModule,
],
})
export class AppComponent {
oilPrices: OilPrice[];
constructor(service: Service) {
this.oilPrices = service.getOilPrices();
}
}
bootstrapApplication(AppComponent, {
providers: [
provideZoneChangeDetection({ eventCoalescing: true, runCoalescing: true }),
],
});
::ng-deep #chart {
height: 440px;
}
import {
Injectable,
} from '@angular/core';
export class OilPrice {
date: Date;
aVal1: number;
aVal2: number;
tVal1: number;
tVal2: number;
}
const oilPrices: OilPrice[] = [{
date: new Date(2024, 0, 1),
aVal1: 72,
aVal2: 78,
tVal1: 70,
tVal2: 74,
}, {
date: new Date(2024, 1, 1),
aVal1: 74,
aVal2: 80,
tVal1: 73,
tVal2: 77,
}, {
date: new Date(2024, 2, 1),
aVal1: 78,
aVal2: 84,
tVal1: 78,
tVal2: 81,
}, {
date: new Date(2024, 3, 1),
aVal1: 82,
aVal2: 90,
tVal1: 82,
tVal2: 85,
}, {
date: new Date(2024, 4, 1),
aVal1: 77,
aVal2: 84,
tVal1: 77,
tVal2: 80,
}, {
date: new Date(2024, 5, 1),
aVal1: 76,
aVal2: 83,
tVal1: 78,
tVal2: 80,
}, {
date: new Date(2024, 6, 1),
aVal1: 78,
aVal2: 86,
tVal1: 80,
tVal2: 82,
}, {
date: new Date(2024, 7, 1),
aVal1: 73,
aVal2: 81,
tVal1: 74,
tVal2: 77,
}, {
date: new Date(2024, 8, 1),
aVal1: 67,
aVal2: 74,
tVal1: 68,
tVal2: 70,
}, {
date: new Date(2024, 9, 1),
aVal1: 69,
aVal2: 76,
tVal1: 70,
tVal2: 72,
}, {
date: new Date(2024, 10, 1),
aVal1: 67,
aVal2: 73,
tVal1: 68,
tVal2: 70,
}, {
date: new Date(2024, 11, 1),
aVal1: 68,
aVal2: 74,
tVal1: 69,
tVal2: 71,
}];
@Injectable()
export class Service {
getOilPrices(): OilPrice[] {
return oilPrices;
}
}
// In real applications, you should not transpile code in the browser.
// You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
const componentNames = [
'accordion',
'action-sheet',
'autocomplete',
'bar-gauge',
'box',
'bullet',
'button-group',
'button',
'calendar',
'card-view',
'chart',
'chat',
'check-box',
'circular-gauge',
'color-box',
'context-menu',
'data-grid',
'date-box',
'date-range-box',
'defer-rendering',
'diagram',
'draggable',
'drawer',
'drop-down-box',
'drop-down-button',
'file-manager',
'file-uploader',
'filter-builder',
'form',
'funnel',
'gallery',
'gantt',
'html-editor',
'linear-gauge',
'list',
'load-indicator',
'load-panel',
'lookup',
'map',
'menu',
'multi-view',
'nested',
'number-box',
'pagination',
'pie-chart',
'pivot-grid-field-chooser',
'pivot-grid',
'polar-chart',
'popover',
'popup',
'progress-bar',
'radio-group',
'range-selector',
'range-slider',
'recurrence-editor',
'resizable',
'responsive-box',
'sankey',
'scheduler',
'scroll-view',
'select-box',
'slider',
'sortable',
'sparkline',
'speech-to-text',
'speed-dial-action',
'splitter',
'stepper',
'switch',
'tab-panel',
'tabs',
'tag-box',
'text-area',
'text-box',
'tile-view',
'toast',
'toolbar',
'tooltip',
'tree-list',
'tree-map',
'tree-view',
'validation-group',
'validation-summary',
'validator',
'vector-map',
];
window.exports = window.exports || {};
window.config = {
transpiler: false,
meta: {
'*.ts': {
loader: 'demo-ts-loader',
},
'typescript': {
'exports': 'ts',
},
'anti-forgery': {
loader: 'demo-ts-loader',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'@angular/platform-browser-dynamic': {
'esModule': true,
},
'@angular/platform-browser': {
'esModule': true,
},
'@angular/core': {
'esModule': true,
},
'@angular/common': {
'esModule': true,
},
'@angular/common/http': {
'esModule': true,
},
'@angular/animations': {
'esModule': true,
},
'@angular/forms': {
'esModule': true,
},
'openai': {
'esModule': true,
},
'zod': {
'esModule': true,
},
'zod-to-json-schema': {
'esModule': true,
},
},
paths: {
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
'loaders:': '../../../../shared/loaders/',
},
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'demo-ts-loader': 'loaders:demo-ts-loader.js',
'demo-ts-shared': 'loaders:demo-ts-shared.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
/* @angular */
'@angular/compiler': 'bundles:@angular/compiler.umd.js',
'@angular/platform-browser-dynamic': 'bundles:@angular/platform-browser-dynamic.umd.js',
'@angular/core': 'bundles:@angular/core.umd.js',
'@angular/core/primitives/signals': 'bundles:@angular/core.primitives.signals.umd.js',
'@angular/core/primitives/di': 'bundles:@angular/core.primitives.di.umd.js',
'@angular/common': 'bundles:@angular/common.umd.js',
'@angular/common/http': 'bundles:@angular/common-http.umd.js',
'@angular/platform-browser': 'bundles:@angular/platform-browser.umd.js',
'@angular/platform-browser/animations': 'bundles:@angular/platform-browser.umd.js',
'@angular/forms': 'bundles:@angular/forms.umd.js',
/* devextreme */
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.10/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.29',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.69',
/* devextreme-angular umd maps */
'devextreme-angular': 'bundles:devextreme-angular/devextreme-angular.umd.js',
'devextreme-angular/common/ai-integration': 'bundles:devextreme-angular/devextreme-angular-common-ai-integration.umd.js',
'devextreme-angular/core': 'bundles:devextreme-angular/devextreme-angular-core.umd.js',
'devextreme-angular/common/charts': 'bundles:devextreme-angular/devextreme-angular-common-charts.umd.js',
'devextreme-angular/common/core/animation': 'bundles:devextreme-angular/devextreme-angular-common-core-animation.umd.js',
'devextreme-angular/common/core/environment': 'bundles:devextreme-angular/devextreme-angular-common-core-environment.umd.js',
'devextreme-angular/common/core/events': 'bundles:devextreme-angular/devextreme-angular-common-core-events.umd.js',
'devextreme-angular/common/core/localization': 'bundles:devextreme-angular/devextreme-angular-common-core-localization.umd.js',
'devextreme-angular/common/core': 'bundles:devextreme-angular/devextreme-angular-common-core.umd.js',
'devextreme-angular/common/data/custom-store': 'bundles:devextreme-angular/devextreme-angular-common-data-custom-store.umd.js',
'devextreme-angular/common/data': 'bundles:devextreme-angular/devextreme-angular-common-data.umd.js',
'devextreme-angular/common/export/excel': 'bundles:devextreme-angular/devextreme-angular-common-export-excel.umd.js',
'devextreme-angular/common/export/pdf': 'bundles:devextreme-angular/devextreme-angular-common-export-pdf.umd.js',
'devextreme-angular/common/export': 'bundles:devextreme-angular/devextreme-angular-common-export.umd.js',
'devextreme-angular/common/grids': 'bundles:devextreme-angular/devextreme-angular-common-grids.umd.js',
'devextreme-angular/common': 'bundles:devextreme-angular/devextreme-angular-common.umd.js',
'devextreme-angular/http': 'bundles:devextreme-angular/devextreme-angular-http.umd.js',
'devextreme-angular/core/tokens': 'bundles:devextreme-angular/devextreme-angular-core-tokens.umd.js',
...componentNames.reduce((acc, name) => {
acc[`devextreme-angular/ui/${name}`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}.umd.js`;
acc[`devextreme-angular/ui/${name}/nested`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}-nested.umd.js`;
return acc;
}, {}),
'zod': 'externals:zod.bundle.js',
'zod-to-json-schema': 'externals:zod-to-json-schema.bundle.js',
'tslib': 'npm:tslib/tslib.js',
'rxjs': 'npm:rxjs@7.5.3/dist/bundles/rxjs.umd.js',
'rxjs/operators': 'npm:rxjs@7.5.3/dist/cjs/operators/index.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.14.4/dist/signals-core.min.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
'zone.js': 'npm:zone.js@0.16.2/bundles/zone.umd.js',
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
'rxjs': {
defaultExtension: 'js',
},
'rxjs/operators': {
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:rxjs@7.5.3/package.json',
'npm:rxjs@7.5.3/operators/package.json',
'npm:devexpress-diagram@2.2.29/package.json',
'npm:devexpress-gantt@4.1.69/package.json',
],
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line no-console
// System.import('@angular/compiler').catch(console.error.bind(console));
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
let packagesInfo = {
"zod": {
"version": "3.24.4"
},
"zod-to-json-schema": {
"version": "3.24.6"
},
"@angular/core": {
"version": "22.1.0"
},
"core-js": {
"version": "2.6.12"
},
"typescript": {
"version": "6.0.3"
},
"zone.js": {
"version": "0.16.2"
}
};
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/26.1.4/css/dx.light.css" />
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/zone.js@0.16.2/bundles/zone.umd.js"></script>
<script src="https://cdn.jsdelivr.net/npm/reflect-metadata@0.1.13/Reflect.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import("app").catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>
To create multiple range bar series, use the series array to declare each series and the commonSeriesSettings object to specify the common series type. In this object, you can implement parameters specific to the range bar series type. For example, this demo specifies a minimum bar size for all series.

-
AI-powered Extensions
-
Data Grid
-
Tree List
-
Chat
-
HTML Editor
-
Form
-
-
Data Grids / Data Management
-
Data Grid
- Overview
-
Data Binding
-
Filtering
- Sorting
-
Editing
-
Grouping
-
Selection
- Focused Row
- Paging
-
Scrolling
-
Columns
- AI Assistant
-
Master-Detail
-
Data Summaries
-
Drag & Drop
-
Export to PDF
-
Export to Excel
- Appearance
-
Customization
- State Persistence
-
Adaptability
-
Keyboard Navigation
- Right-To-Left Support
-
Tree List
- Overview
-
Data Binding
-
Filtering
- Sorting
-
Editing
-
Selection
- Focused Row
- Paging
-
Columns
- Drag & Drop
- State Persistence
- Adaptability
-
Keyboard Navigation
-
Card View
-
Pivot Grid
- Overview
-
Data Binding
-
Field Management
-
Data Summaries
- Drill Down
- Filtering
-
Scrolling
-
Export to Excel
- Chart Integration
- Customization
- State Persistence
-
Filter Builder
-
-
Data Visualization
-
Charts
- Overview
-
Data Binding
-
Common Concepts
-
Axis
-
Aggregation
-
Tooltips
-
Selection
-
Customization
-
Zooming
-
Export
-
-
Area Charts
-
Bar Charts
- Bullet Charts
-
Doughnut Charts
-
Financial Charts
-
Funnel and Pyramid Charts
-
Line Charts
- Pareto Chart
-
Pie Charts
-
Point Charts
-
Polar and Radar Charts
-
Range Charts
- Sankey Chart
-
Sparkline Charts
-
Tree Map
-
Gauges
- Overview
-
Runtime update
-
Bar Gauge
-
Circular Gauge
-
Linear Gauge
-
Diagram
- Overview
-
Data Binding
-
Featured Shapes
-
Custom Shapes
-
Document Capabilities
-
User Interaction
- UI Customization
- Adaptability
-
-
Scheduling / Planning
-
Scheduler
- Overview
-
Data Binding
-
Views
-
Appointments
-
Timetable
- Editing
-
Grouping
- Virtual Scrolling
- Drag & Drop
-
Customization
- Adaptability
-
Gantt
- Overview
- Data Binding
-
Filtering
- Sorting
- Strip Lines
- Export to PDF
- Validation
-
Customization
-
-
Messaging
-
WYSIWYG Editor
-
Forms
-
Data Editors
- Overview
-
Common Concepts
-
Calendar
- Check Box
- Color Box
-
Date Box
-
Date Range Box
-
Number Box
- Radio Group
-
Range Selector
- Range Slider
- Slider
- Switch
- Text Area
- Text Box
-
Drop-Downs
- Autocomplete
-
Drop Down Box
-
Select Box
-
Tag Box
-
Lookup
-
Buttons
-
File Upload / File Management
-
File Manager
- Overview
-
File System Types
-
Customization
-
File Uploader
-
-
Popup and Notifications
-
Navigation
- Overview
- Accordion
-
Action Sheet
-
Context Menu
-
Menu
- Multi View
-
Drawer
-
Tab Panel
-
Tabs
-
Toolbar
-
Stepper
- Pagination
-
List
-
Tree View
- Right-to-Left Support
-
Layout
-
Tile View
- Splitter
-
Gallery
- Scroll View
- Box
- Responsive Box
-
-
Interactive Wrappers
-
Sortable
- Resizable
-
-
Progress Indicators
-
Maps
- Overview
-
Map
-
Vector Map
-
Data Binding
- Multiple Layers
-
Markers
- Legend
-
Zooming and Panning
-
Customization
-
-
Localization
Related Demos:
Your search did not match any results.
Vue Charts - Range Bar
This demo illustrates the range bar series type.
You can use range bars to display value ranges that correspond to specified arguments. Each point in a range bar series has one argument and two values. The argumentField supplies arguments while the rangeValue1Field and rangeValue2Field supply bar start and end point values.
Backend API
<template>
<DxChart
id="chart"
:data-source="oilPrices"
palette="Violet"
title="Crude Oil Prices in 2024"
>
<DxCommonSeriesSettings
argument-field="date"
type="rangebar"
:min-bar-size="2"
/>
<DxSeries
range-value1-field="aVal1"
range-value2-field="aVal2"
name="ANS West Coast"
/>
<DxSeries
range-value1-field="tVal1"
range-value2-field="tVal2"
name="West Texas Intermediate"
/>
<DxTooltip
:enabled="true"
/>
<DxArgumentAxis>
<DxLabel format="month"/>
</DxArgumentAxis>
<DxValueAxis title="$ per barrel"/>
<DxExport :enabled="true"/>
<DxLegend
vertical-alignment="bottom"
horizontal-alignment="center"
/>
</DxChart>
</template>
<script setup lang="ts">
import DxChart, {
DxCommonSeriesSettings,
DxSeries,
DxArgumentAxis,
DxValueAxis,
DxLabel,
DxExport,
DxLegend,
DxTooltip,
} from 'devextreme-vue/chart';
import { oilPrices } from './data.ts';
</script>
<style>
#chart {
height: 440px;
}
</style>
window.exports = window.exports || {};
window.config = {
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader',
},
'*.ts': {
loader: 'demo-ts-loader',
},
'*.svg': {
loader: 'svg-loader',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'openai': {
'esModule': true,
},
},
paths: {
'project:': '../../../../',
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
},
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'vue': 'npm:vue@3.5.32/dist/vue.esm-browser.js',
'@vue/shared': 'npm:@vue/shared@3.4.27/dist/shared.cjs.prod.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.1.2/index.js',
'demo-ts-loader': 'project:utils/demo-ts-loader.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'svg-loader': 'project:utils/svg-loader.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-vue': 'npm:devextreme-vue@link:../../packages/devextreme-vue/npm/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.9/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.29/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.69/dist/dx-gantt.js',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.14.1/dist/signals-core.min.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'devextreme-vue': {
main: 'index.js',
},
'devextreme-vue/common': {
main: 'index.js',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
},
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
export const oilPrices = [{
date: new Date(2024, 0, 1),
aVal1: 72,
aVal2: 78,
tVal1: 70,
tVal2: 74,
}, {
date: new Date(2024, 1, 1),
aVal1: 74,
aVal2: 80,
tVal1: 73,
tVal2: 77,
}, {
date: new Date(2024, 2, 1),
aVal1: 78,
aVal2: 84,
tVal1: 78,
tVal2: 81,
}, {
date: new Date(2024, 3, 1),
aVal1: 82,
aVal2: 90,
tVal1: 82,
tVal2: 85,
}, {
date: new Date(2024, 4, 1),
aVal1: 77,
aVal2: 84,
tVal1: 77,
tVal2: 80,
}, {
date: new Date(2024, 5, 1),
aVal1: 76,
aVal2: 83,
tVal1: 78,
tVal2: 80,
}, {
date: new Date(2024, 6, 1),
aVal1: 78,
aVal2: 86,
tVal1: 80,
tVal2: 82,
}, {
date: new Date(2024, 7, 1),
aVal1: 73,
aVal2: 81,
tVal1: 74,
tVal2: 77,
}, {
date: new Date(2024, 8, 1),
aVal1: 67,
aVal2: 74,
tVal1: 68,
tVal2: 70,
}, {
date: new Date(2024, 9, 1),
aVal1: 69,
aVal2: 76,
tVal1: 70,
tVal2: 72,
}, {
date: new Date(2024, 10, 1),
aVal1: 67,
aVal2: 73,
tVal1: 68,
tVal2: 70,
}, {
date: new Date(2024, 11, 1),
aVal1: 68,
aVal2: 74,
tVal1: 69,
tVal2: 71,
}];
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/25.2.8/css/dx.light.css" />
<script src="https://cdn.jsdelivr.net/npm/typescript@5.9.3/lib/typescript.js"></script>
<script type="module">
import * as vueCompilerSFC from "https://cdn.jsdelivr.net/npm/@vue/compiler-sfc@3.4.27/dist/compiler-sfc.esm-browser.js";
window.vueCompilerSFC = vueCompilerSFC;
</script>
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.ts");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"> </div>
</div>
</body>
</html>
To create multiple range bar series, use the series array to declare each series and the commonSeriesSettings object to specify the common series type. In this object, you can implement parameters specific to the range bar series type. For example, this demo specifies a minimum bar size for all series.

Feel free to share demo-related thoughts here.
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Thank you for the feedback!
If you have technical questions, please create a support ticket in the DevExpress Support Center.
Backend API
import React from 'react';
import Chart, {
CommonSeriesSettings,
Series,
ArgumentAxis,
ValueAxis,
Label,
Export,
Legend,
Tooltip,
} from 'devextreme-react/chart';
import { oilPrices } from './data.ts';
function App() {
return (
<Chart
id="chart"
dataSource={oilPrices}
palette="Violet"
title="Crude Oil Prices in 2005"
>
<Tooltip enabled={true}></Tooltip>
<CommonSeriesSettings
argumentField="date"
type="rangebar"
minBarSize={2}
/>
<Series
rangeValue1Field="aVal1"
rangeValue2Field="aVal2"
name="ANS West Coast"
/>
<Series
rangeValue1Field="tVal1"
rangeValue2Field="tVal2"
name="West Texas Intermediate"
/>
<ArgumentAxis>
<Label format="month" />
</ArgumentAxis>
<ValueAxis title="$ per barrel" />
<Export enabled={true} />
<Legend
verticalAlignment="bottom"
horizontalAlignment="center"
/>
</Chart>
);
}
export default App;
import React from 'react';
import Chart, {
CommonSeriesSettings,
Series,
ArgumentAxis,
ValueAxis,
Label,
Export,
Legend,
Tooltip,
} from 'devextreme-react/chart';
import { oilPrices } from './data.js';
function App() {
return (
<Chart
id="chart"
dataSource={oilPrices}
palette="Violet"
title="Crude Oil Prices in 2005"
>
<Tooltip enabled={true}></Tooltip>
<CommonSeriesSettings
argumentField="date"
type="rangebar"
minBarSize={2}
/>
<Series
rangeValue1Field="aVal1"
rangeValue2Field="aVal2"
name="ANS West Coast"
/>
<Series
rangeValue1Field="tVal1"
rangeValue2Field="tVal2"
name="West Texas Intermediate"
/>
<ArgumentAxis>
<Label format="month" />
</ArgumentAxis>
<ValueAxis title="$ per barrel" />
<Export enabled={true} />
<Legend
verticalAlignment="bottom"
horizontalAlignment="center"
/>
</Chart>
);
}
export default App;
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.tsx';
ReactDOM.render(
<App />,
document.getElementById('app'),
);
export const oilPrices = [{
date: new Date(2005, 0, 1),
aVal1: 34.33,
aVal2: 43.29,
tVal1: 40.18,
tVal2: 49.91,
}, {
date: new Date(2005, 1, 1),
aVal1: 42.24,
aVal2: 47.07,
tVal1: 29.65,
tVal2: 51.75,
}, {
date: new Date(2005, 2, 1),
aVal1: 42.93,
aVal2: 52.77,
tVal1: 51.01,
tVal2: 56.72,
}, {
date: new Date(2005, 3, 1),
aVal1: 44.24,
aVal2: 54.14,
tVal1: 48.06,
tVal2: 57.27,
}, {
date: new Date(2005, 4, 1),
aVal1: 44.47,
aVal2: 49.03,
tVal1: 47.28,
tVal2: 52.07,
}, {
date: new Date(2005, 5, 1),
aVal1: 50.55,
aVal2: 57.94,
tVal1: 55.01,
tVal2: 60.54,
}, {
date: new Date(2005, 6, 1),
aVal1: 52.79,
aVal2: 58.98,
tVal1: 55.52,
tVal2: 61.28,
}, {
date: new Date(2005, 7, 1),
aVal1: 56.49,
aVal2: 67.06,
tVal1: 62.23,
tVal2: 68.94,
}, {
date: new Date(2005, 8, 1),
aVal1: 62.77,
aVal2: 66.72,
tVal1: 65.19,
tVal2: 69.47,
}, {
date: new Date(2005, 9, 1),
aVal1: 57.52,
aVal2: 63.47,
tVal1: 59.35,
tVal2: 65.47,
}, {
date: new Date(2005, 10, 1),
aVal1: 52.92,
aVal2: 59.98,
tVal1: 56.15,
tVal2: 61.78,
}, {
date: new Date(2005, 11, 1),
aVal1: 55.22,
aVal2: 55.22,
tVal1: 57.34,
tVal2: 57.37,
}];
window.exports = window.exports || {};
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
jsx: 'react',
},
meta: {
'react': {
'esModule': true,
},
'typescript': {
'exports': 'ts',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'openai': {
'esModule': true,
},
},
paths: {
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
},
defaultExtension: 'js',
map: {
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'react': 'npm:react@17.0.2/umd/react.development.js',
'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js',
'prop-types': 'npm:prop-types/prop-types.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'devextreme': 'npm:devextreme@24.2.7/cjs',
'devextreme-react': 'npm:devextreme-react@24.2.7/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.1/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.16/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.60/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.12',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'devextreme-cldr-data': 'npm:devextreme-cldr-data@1.0.3',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'devextreme': {
defaultExtension: 'js',
},
'devextreme-react': {
main: 'index.js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/localization/messages': {
format: 'json',
defaultExtension: 'json',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.12/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
react: true,
},
};
System.config(window.config);
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(<App />, document.getElementById('app'));
export const oilPrices = [
{
date: new Date(2005, 0, 1),
aVal1: 34.33,
aVal2: 43.29,
tVal1: 40.18,
tVal2: 49.91,
},
{
date: new Date(2005, 1, 1),
aVal1: 42.24,
aVal2: 47.07,
tVal1: 29.65,
tVal2: 51.75,
},
{
date: new Date(2005, 2, 1),
aVal1: 42.93,
aVal2: 52.77,
tVal1: 51.01,
tVal2: 56.72,
},
{
date: new Date(2005, 3, 1),
aVal1: 44.24,
aVal2: 54.14,
tVal1: 48.06,
tVal2: 57.27,
},
{
date: new Date(2005, 4, 1),
aVal1: 44.47,
aVal2: 49.03,
tVal1: 47.28,
tVal2: 52.07,
},
{
date: new Date(2005, 5, 1),
aVal1: 50.55,
aVal2: 57.94,
tVal1: 55.01,
tVal2: 60.54,
},
{
date: new Date(2005, 6, 1),
aVal1: 52.79,
aVal2: 58.98,
tVal1: 55.52,
tVal2: 61.28,
},
{
date: new Date(2005, 7, 1),
aVal1: 56.49,
aVal2: 67.06,
tVal1: 62.23,
tVal2: 68.94,
},
{
date: new Date(2005, 8, 1),
aVal1: 62.77,
aVal2: 66.72,
tVal1: 65.19,
tVal2: 69.47,
},
{
date: new Date(2005, 9, 1),
aVal1: 57.52,
aVal2: 63.47,
tVal1: 59.35,
tVal2: 65.47,
},
{
date: new Date(2005, 10, 1),
aVal1: 52.92,
aVal2: 59.98,
tVal1: 56.15,
tVal2: 61.78,
},
{
date: new Date(2005, 11, 1),
aVal1: 55.22,
aVal2: 55.22,
tVal1: 57.34,
tVal2: 57.37,
},
];
<!DOCTYPE html>
<html lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/24.2.7/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.tsx");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
#chart {
height: 440px;
}
To create multiple range bar series, use the series array to declare each series and the commonSeriesSettings object to specify the common series type. In this object, you can implement parameters specific to the range bar series type. For example, this demo specifies a minimum bar size for all series.